package com.jarvis.dataCenter.entity.jws;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;


import lombok.Data;

import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
/**
 * <p>
 * 开票的标记表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-11-01
 */
@Data
@TableName("invoice_sign")
public class InvoiceSignEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 业务ID
     */
    @TableField(BUSINESS_ID)
    private String businessId;
    
    /**
     * '业务类型 PURCHASE:"采购", SELL_OFF: "销退", EXCHANGE: "换货"'
     */
    @TableField(BUSINESS_TYPE)
    private String businessType;
    
    /**
     * 采购订单编号
     */
    @TableField(PO_CODE)
    private String poCode;
    
    /**
     * 销售单号
     */
    @TableField(SO_CODE)
    private String soCode;
    
    /**
     * 发单号
     */
    @TableField(DO_CODE)
    private String doCode;
    
    /**
     * 售后单号
     */
    @TableField(CS_CODE)
    private String csCode;
    
    /**
     * sku编码
     */
    @TableField(SKU_CODE)
    private String skuCode;
    
    /**
     * 发票号
     */
    @TableField(INVOICE_CODE)
    private String invoiceCode;
    
    /**
     * 发票物流号
     */
    @TableField(INVOICE_LOGISTICS_CODE)
    private String invoiceLogisticsCode;
    
    /**
     * 实际开票数量
     */
    @TableField(INVOICE_ACTUAL_QUANTITY)
    private BigDecimal invoiceActualQuantity;
    
    /**
     * 实际开票单价
     */
    @TableField(INVOICE_ACTUAL_PRICE)
    private BigDecimal invoiceActualPrice;
    
    /**
     * 是否已开票的标记:Y已开票，N未开票
     */
    @TableField(INVOICE_SIGN)
    private String invoiceSign;
    
    /**
     * 修改时间
     */
    @TableField(EDIT_TIME)
    private Date editTime;
    
    /**
     * 新增时间
     */
    @TableField(CREATE_TIME)
    private Date createTime;



    /**
     * 
     */
    public static final String ID = "id";

    /**
     * 业务ID
     */
    public static final String BUSINESS_ID = "business_id";

    /**
     * '业务类型 PURCHASE:"采购", SELL_OFF: "销退", EXCHANGE: "换货"'
     */
    public static final String BUSINESS_TYPE = "business_type";

    /**
     * 采购订单编号
     */
    public static final String PO_CODE = "po_code";

    /**
     * 销售单号
     */
    public static final String SO_CODE = "so_code";

    /**
     * 发单号
     */
    public static final String DO_CODE = "do_code";

    /**
     * 售后单号
     */
    public static final String CS_CODE = "cs_code";

    /**
     * sku编码
     */
    public static final String SKU_CODE = "sku_code";

    /**
     * 发票号
     */
    public static final String INVOICE_CODE = "invoice_code";

    /**
     * 发票物流号
     */
    public static final String INVOICE_LOGISTICS_CODE = "invoice_logistics_code";

    /**
     * 实际开票数量
     */
    public static final String INVOICE_ACTUAL_QUANTITY = "invoice_actual_quantity";

    /**
     * 实际开票单价
     */
    public static final String INVOICE_ACTUAL_PRICE = "invoice_actual_price";

    /**
     * 是否已开票的标记:Y已开票，N未开票
     */
    public static final String INVOICE_SIGN = "invoice_sign";

    /**
     * 修改时间
     */
    public static final String EDIT_TIME = "edit_time";

    /**
     * 新增时间
     */
    public static final String CREATE_TIME = "create_time";


}
