package com.jarvis.dataCenter.entity.prod;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;


import lombok.Data;

import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
/**
 * <p>
 * 机构地址表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-11-01
 */
@Data
@TableName("bus_agencyaddress")
public class BusAgencyaddressEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 主键 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 机构ID 关联bus_agencyMaster->id
     */
    @TableField(AGENCYID)
    private Integer agencyId;
    
    /**
     * 地址名称 group（集团）、store（门店）
     */
    @TableField(ADDRNAME)
    private String addrName;
    
    /**
     * 基础档案设置 机构地址类型
     */
    @TableField(ADDRTYP)
    private String addrTyp;
    
    /**
     * 开票抬头
     */
    @TableField(INV_TITLE)
    private String invTitle;
    
    /**
     * 国家ID
     */
    @TableField(COUNTRYID)
    private Integer countryId;
    
    /**
     * 国家名称
     */
    @TableField(COUNTRYNAME)
    private String countryName;
    
    /**
     * 省份ID
     */
    @TableField(PROVINCEID)
    private Integer provinceId;
    
    /**
     * 省份名称
     */
    @TableField(PROVINCENAME)
    private String provinceName;
    
    /**
     * 城市ID
     */
    @TableField(CITYID)
    private Integer cityId;
    
    /**
     * 城市名称
     */
    @TableField(CITYNAME)
    private String cityName;
    
    /**
     * 区ID
     */
    @TableField(COUNTYID)
    private Integer countyId;
    
    /**
     * 区名称
     */
    @TableField(COUNTYNAME)
    private String countyName;
    
    /**
     * 详细地址
     */
    @TableField(ADDRESS)
    private String address;
    
    /**
     * 收货人
     */
    @TableField(DELIVERNAME)
    private String deliverName;
    
    /**
     * 手机
     */
    @TableField(DELIVERMOBILE)
    private String deliverMobile;
    
    /**
     * 固定电话
     */
    @TableField(DELIVERPHONE)
    private String deliverPhone;
    
    /**
     * 邮编
     */
    @TableField(POSTCODE)
    private String postCode;
    
    /**
     * 经度
     */
    @TableField(LONGITUDE)
    private String longitude;
    
    /**
     * 纬度
     */
    @TableField(LATITUDE)
    private String latitude;
    
    /**
     * 是否标经纬度 0：否 1：是
     */
    @TableField(LONLATFLG)
    private Integer lonLatFlg;
    
    /**
     * 是否默认
     */
    @TableField(ISDEFAULT)
    private Integer isDefault;
    
    /**
     * 是否作废 0：作废 1：使用
     */
    @TableField(USEFLG)
    private Integer useFlg;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;
    
    /**
     * 税号
     */
    @TableField(DUTYID)
    private String dutyId;
    
    /**
     * 发票类型
     */
    @TableField(INVOICETYPE)
    private String invoiceType;
    
    /**
     * 电子发票email
     */
    @TableField(EMAIL)
    private String email;
    
    /**
     * 注册电话
     */
    @TableField(REGISTEREDMOBILE)
    private String registeredMobile;
    
    /**
     * 银行账号
     */
    @TableField(BANKACCOUNT)
    private String bankAccount;
    
    /**
     * 开户行名称
     */
    @TableField(INVNAME)
    private String invName;
    
    /**
     * 开票地址
     */
    @TableField(INVADDRESS)
    private String invAddress;
    
    /**
     * 发票抬头类型：0单位；1个人
     */
    @TableField(INVTITLETYPE)
    private Integer invTitleType;



    /**
     * 主键 自增长
     */
    public static final String ID = "id";

    /**
     * 机构ID 关联bus_agencyMaster->id
     */
    public static final String AGENCYID = "agencyId";

    /**
     * 地址名称 group（集团）、store（门店）
     */
    public static final String ADDRNAME = "addrName";

    /**
     * 基础档案设置 机构地址类型
     */
    public static final String ADDRTYP = "addrTyp";

    /**
     * 开票抬头
     */
    public static final String INV_TITLE = "inv_title";

    /**
     * 国家ID
     */
    public static final String COUNTRYID = "countryId";

    /**
     * 国家名称
     */
    public static final String COUNTRYNAME = "countryName";

    /**
     * 省份ID
     */
    public static final String PROVINCEID = "provinceId";

    /**
     * 省份名称
     */
    public static final String PROVINCENAME = "provinceName";

    /**
     * 城市ID
     */
    public static final String CITYID = "cityId";

    /**
     * 城市名称
     */
    public static final String CITYNAME = "cityName";

    /**
     * 区ID
     */
    public static final String COUNTYID = "countyId";

    /**
     * 区名称
     */
    public static final String COUNTYNAME = "countyName";

    /**
     * 详细地址
     */
    public static final String ADDRESS = "address";

    /**
     * 收货人
     */
    public static final String DELIVERNAME = "deliverName";

    /**
     * 手机
     */
    public static final String DELIVERMOBILE = "deliverMobile";

    /**
     * 固定电话
     */
    public static final String DELIVERPHONE = "deliverPhone";

    /**
     * 邮编
     */
    public static final String POSTCODE = "postCode";

    /**
     * 经度
     */
    public static final String LONGITUDE = "longitude";

    /**
     * 纬度
     */
    public static final String LATITUDE = "latitude";

    /**
     * 是否标经纬度 0：否 1：是
     */
    public static final String LONLATFLG = "lonLatFlg";

    /**
     * 是否默认
     */
    public static final String ISDEFAULT = "isDefault";

    /**
     * 是否作废 0：作废 1：使用
     */
    public static final String USEFLG = "useFlg";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";

    /**
     * 税号
     */
    public static final String DUTYID = "dutyId";

    /**
     * 发票类型
     */
    public static final String INVOICETYPE = "invoiceType";

    /**
     * 电子发票email
     */
    public static final String EMAIL = "email";

    /**
     * 注册电话
     */
    public static final String REGISTEREDMOBILE = "registeredMobile";

    /**
     * 银行账号
     */
    public static final String BANKACCOUNT = "bankAccount";

    /**
     * 开户行名称
     */
    public static final String INVNAME = "invName";

    /**
     * 开票地址
     */
    public static final String INVADDRESS = "invAddress";

    /**
     * 发票抬头类型：0单位；1个人
     */
    public static final String INVTITLETYPE = "invTitleType";


}
