package com.jarvis.dataCenter.entity.prod;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;


import lombok.Data;

import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
/**
 * <p>
 * 机构主表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-11-01
 */
@Data
@TableName("bus_agencymaster")
public class BusAgencymasterEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    /**
     * 主键 自增长
     */
    @TableId(value = ID, type = IdType.AUTO)
    private Integer id;
    
    /**
     * 上级机构ID
     */
    @TableField(PARENTID)
    private Integer parentId;
    
    /**
     * 所属集团ID
     */
    @TableField(GROUPID)
    private Integer groupId;
    
    /**
     * 机构编码
     */
    @TableField(AGENCYCODE)
    private String agencyCode;
    
    /**
     * 机构名称
     */
    @TableField(AGENCYNAME)
    private String agencyName;
    
    /**
     * 机构简称
     */
    @TableField(AGENCYSHORTNAME)
    private String agencyShortName;
    
    /**
     * 开票抬头
     */
    @TableField(INV_TITLE)
    private String invTitle;
    
    /**
     * 基础档案设置 (椅位数)(com_sysItem)
     */
    @TableField(QTY_CHAIR)
    private String qtyChair;
    
    /**
     * 基础档案设置 权限级别维度值id
     */
    @TableField(PERMISSIONLEVEL)
    private String permissionLevel;
    
    /**
     * 机构类型(预留)
     */
    @TableField(AGENCYTYPE)
    private String agencyType;
    
    /**
     * 机构分类id 基础多级档案设置：ABC类(com_sysItem)itemGpCode = bus_agencyMaster_agencyCategory
     */
    @TableField(AGENCYCATEGORYID)
    private String agencyCategoryid;
    
    /**
     * 机构分类名称 基础多级档案设置：ABC类(com_sysItem)itemGpCode = bus_agencyMaster_agencyCategoryName
     */
    @TableField(AGENCYCATEGORYNAME)
    private String agencyCategoryName;
    
    /**
     * 基础档案多级 所属区域/子公司id  基础多级档案设置；一个集团总账户，允许建立该集团下的区域及子公司上下级关系
     */
    @TableField(REGIONCOID)
    private String regionCoId;
    
    /**
     * 基础多级档案设置 所属区域/子公司名称
     */
    @TableField(REGIONCONAME)
    private String regionCoName;
    
    /**
     * 国家ID
     */
    @TableField(COUNTRYID)
    private Integer countryId;
    
    /**
     * 国家名称
     */
    @TableField(COUNTRYNAME)
    private String countryName;
    
    /**
     * 省份ID
     */
    @TableField(PROVINCEID)
    private Integer provinceId;
    
    /**
     * 省份名称
     */
    @TableField(PROVINCENAME)
    private String provinceName;
    
    /**
     * 城市ID
     */
    @TableField(CITYID)
    private Integer cityId;
    
    /**
     * 城市名称
     */
    @TableField(CITYNAME)
    private String cityName;
    
    /**
     * 区ID
     */
    @TableField(COUNTYID)
    private Integer countyId;
    
    /**
     * 区名称
     */
    @TableField(COUNTYNAME)
    private String countyName;
    
    /**
     * 详细地址
     */
    @TableField(ADDRESS)
    private String address;
    
    /**
     * 机构负责人姓名
     */
    @TableField(DIRECTOR)
    private String director;
    
    /**
     * 邮编
     */
    @TableField(POSTCODE)
    private String postCode;
    
    /**
     * 固定电话区号
     */
    @TableField(AREACODE)
    private String areaCode;
    
    /**
     * 固定电话
     */
    @TableField(TELPHONE)
    private String telPhone;
    
    /**
     * 经度
     */
    @TableField(LONGITUDE)
    private String longitude;
    
    /**
     * 纬度
     */
    @TableField(LATITUDE)
    private String latitude;
    
    /**
     * 是否标经纬度 0：否 1：是
     */
    @TableField(LONLATFLG)
    private Integer lonLatFlg;
    
    /**
     * 成立日期 格式到年月日
     */
    @TableField(ESTABLISHDATE)
    private Date establishDate;
    
    /**
     * 公司信息ID 关联bus_companyInfo信息
     */
    @TableField(COMPANYINFOID)
    private Integer companyInfoId;
    
    /**
     * 状态 0：禁用 1：启用
     */
    @TableField(USEFLG)
    private Integer useFlg;
    
    /**
     * 备注
     */
    @TableField(MEMO)
    private String memo;
    
    /**
     * 创建人
     */
    @TableField(CREATOR)
    private String creator;
    
    /**
     * 修改人
     */
    @TableField(EDITOR)
    private String editor;
    
    /**
     * 创建时间
     */
    @TableField(CREATEDTIME)
    private Date createdTime;
    
    /**
     * 更新时间
     */
    @TableField(UPDATEDTIME)
    private Date updatedTime;
    
    /**
     * 支付方式：1 全流程 0 精简支付
     */
    @TableField(PAYSTYLE)
    private Integer payStyle;
    
    /**
     * 推荐人
     */
    @TableField(REFEREE)
    private String referee;
    
    /**
     * 是否团购  0：否 1：是
     */
    @TableField(ISGROUPPURCHASE)
    private Integer isGroupPurchase;
    
    /**
     * 报表机构类型(业务不要用):1(测试)2(禁用)3(专用)4(开城)5(大客户)6(金牌100)7(腰部100)8(激活券)9(其他)null未设置
     */
    @TableField(REPORT_FLAG)
    private Integer reportFlag;
    
    /**
     * 1(开城)，2(进销存)，3(大客户)，4(金牌100)，5(腰部100)，6(激活券)，7（瑞尔外部），8（供应商调货），100(未设置)
     */
    @TableField(REPORT_AGENCY_SIGN)
    private Integer reportAgencySign;
    
    /**
     * 是否签署医疗器械产品销售协议  0：否 1：是
     */
    @TableField(ISAGREEMENT)
    private Integer isAgreement;
    
    /**
     * 0：未认证；1：已认证
     */
    @TableField(AUTHENTICATION)
    private Integer authentication;



    /**
     * 主键 自增长
     */
    public static final String ID = "id";

    /**
     * 上级机构ID
     */
    public static final String PARENTID = "parentId";

    /**
     * 所属集团ID
     */
    public static final String GROUPID = "groupId";

    /**
     * 机构编码
     */
    public static final String AGENCYCODE = "agencyCode";

    /**
     * 机构名称
     */
    public static final String AGENCYNAME = "agencyName";

    /**
     * 机构简称
     */
    public static final String AGENCYSHORTNAME = "agencyShortName";

    /**
     * 开票抬头
     */
    public static final String INV_TITLE = "inv_title";

    /**
     * 基础档案设置 (椅位数)(com_sysItem)
     */
    public static final String QTY_CHAIR = "qty_chair";

    /**
     * 基础档案设置 权限级别维度值id
     */
    public static final String PERMISSIONLEVEL = "permissionLevel";

    /**
     * 机构类型(预留)
     */
    public static final String AGENCYTYPE = "agencyType";

    /**
     * 机构分类id 基础多级档案设置：ABC类(com_sysItem)itemGpCode = bus_agencyMaster_agencyCategory
     */
    public static final String AGENCYCATEGORYID = "agencyCategoryid";

    /**
     * 机构分类名称 基础多级档案设置：ABC类(com_sysItem)itemGpCode = bus_agencyMaster_agencyCategoryName
     */
    public static final String AGENCYCATEGORYNAME = "agencyCategoryName";

    /**
     * 基础档案多级 所属区域/子公司id  基础多级档案设置；一个集团总账户，允许建立该集团下的区域及子公司上下级关系
     */
    public static final String REGIONCOID = "regionCoId";

    /**
     * 基础多级档案设置 所属区域/子公司名称
     */
    public static final String REGIONCONAME = "regionCoName";

    /**
     * 国家ID
     */
    public static final String COUNTRYID = "countryId";

    /**
     * 国家名称
     */
    public static final String COUNTRYNAME = "countryName";

    /**
     * 省份ID
     */
    public static final String PROVINCEID = "provinceId";

    /**
     * 省份名称
     */
    public static final String PROVINCENAME = "provinceName";

    /**
     * 城市ID
     */
    public static final String CITYID = "cityId";

    /**
     * 城市名称
     */
    public static final String CITYNAME = "cityName";

    /**
     * 区ID
     */
    public static final String COUNTYID = "countyId";

    /**
     * 区名称
     */
    public static final String COUNTYNAME = "countyName";

    /**
     * 详细地址
     */
    public static final String ADDRESS = "address";

    /**
     * 机构负责人姓名
     */
    public static final String DIRECTOR = "director";

    /**
     * 邮编
     */
    public static final String POSTCODE = "postCode";

    /**
     * 固定电话区号
     */
    public static final String AREACODE = "areaCode";

    /**
     * 固定电话
     */
    public static final String TELPHONE = "telPhone";

    /**
     * 经度
     */
    public static final String LONGITUDE = "longitude";

    /**
     * 纬度
     */
    public static final String LATITUDE = "latitude";

    /**
     * 是否标经纬度 0：否 1：是
     */
    public static final String LONLATFLG = "lonLatFlg";

    /**
     * 成立日期 格式到年月日
     */
    public static final String ESTABLISHDATE = "establishDate";

    /**
     * 公司信息ID 关联bus_companyInfo信息
     */
    public static final String COMPANYINFOID = "companyInfoId";

    /**
     * 状态 0：禁用 1：启用
     */
    public static final String USEFLG = "useFlg";

    /**
     * 备注
     */
    public static final String MEMO = "memo";

    /**
     * 创建人
     */
    public static final String CREATOR = "creator";

    /**
     * 修改人
     */
    public static final String EDITOR = "editor";

    /**
     * 创建时间
     */
    public static final String CREATEDTIME = "createdTime";

    /**
     * 更新时间
     */
    public static final String UPDATEDTIME = "updatedTime";

    /**
     * 支付方式：1 全流程 0 精简支付
     */
    public static final String PAYSTYLE = "payStyle";

    /**
     * 推荐人
     */
    public static final String REFEREE = "referee";

    /**
     * 是否团购  0：否 1：是
     */
    public static final String ISGROUPPURCHASE = "isGroupPurchase";

    /**
     * 报表机构类型(业务不要用):1(测试)2(禁用)3(专用)4(开城)5(大客户)6(金牌100)7(腰部100)8(激活券)9(其他)null未设置
     */
    public static final String REPORT_FLAG = "report_flag";

    /**
     * 1(开城)，2(进销存)，3(大客户)，4(金牌100)，5(腰部100)，6(激活券)，7（瑞尔外部），8（供应商调货），100(未设置)
     */
    public static final String REPORT_AGENCY_SIGN = "report_agency_sign";

    /**
     * 是否签署医疗器械产品销售协议  0：否 1：是
     */
    public static final String ISAGREEMENT = "isAgreement";

    /**
     * 0：未认证；1：已认证
     */
    public static final String AUTHENTICATION = "authentication";


}
