package com.jarvis.dataCenter.entity.report;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author jinzhaopo
 * @date 2019-11-01 13:41
 */
@Data
@TableName("report_invoice_info")
public class ReportInvoiceInfo extends AbstractEntity {


    private Integer id;

    /**
     * 业务ID
     */
    private String businessId;

    /**
     * '业务类型 PURCHASE:"采购", SELL_OFF: "销退", EXCHANGE: "换货"'
     */
    private String businessType;

    /**
     * 采购订单编号
     */
    private String poCode;

    /**
     * 销售单号
     */
    private String soCode;

    /**
     * 发单号
     */
    private String doCode;

    /**
     * 售后单号
     */
    private String csCode;

    /**
     * sku编码
     */
    private String skuCode;

    /**
     * 发票号
     */
    private String invoiceCode;

    /**
     * 发票物流号
     */
    private String invoiceLogisticsCode;

    /**
     * 实际开票数量
     */
    private BigDecimal invoiceActualQuantity;

    /**
     * 实际开票单价
     */
    private BigDecimal invoiceActualPrice;

    /**
     * 是否已开票的标记:Y已开票，N未开票
     */
    private String invoiceSign;

    /**
     * 修改时间
     */
    private Date editTime;

    /**
     * 新增时间
     */
    private Date createTime;
}
