package com.jarvis.dataCenter.entity.warehouse;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import java.math.BigDecimal;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;


import lombok.Data;

import com.jarvis.lib.common.mybatisplus.entity.AbstractEntity;
/**
 * <p>
 * 库存分配记录表 ENTITY
 * </p>
 *
 * @author jinzhaopo
 * @since 2019-11-05
 */
@Data
@TableName("stock_allocation")
public class StockAllocationEntity extends AbstractEntity {

    private static final long serialVersionUID = 1L;
    
    @TableId(value = ID, type = IdType.AUTO)
    private Long id;
    
    /**
     * 发货单id
     */
    @TableField(DELIVERY_ORDER_ID)
    private Long deliveryOrderId;
    
    /**
     * 发货明细id
     */
    @TableField(DELIVERY_DETAIL_ID)
    private Long deliveryDetailId;
    
    /**
     * 仓库id 为0是私有供应商的分配记录
     */
    @TableField(WAREHOUSE_ID)
    private Long warehouseId;
    
    /**
     * 库位id 为0是私有供应商的分配记录
     */
    @TableField(CONTAINER_ID)
    private Long containerId;
    
    /**
     * 库存id 为0是私有供应商的分配记录
     */
    @TableField(STOCK_ID)
    private Long stockId;
    
    /**
     * sku编号
     */
    @TableField(SKU_CODE)
    private String skuCode;
    
    /**
     * 批次号
     */
    @TableField(BATCH_CODE)
    private String batchCode;
    
    /**
     * 序列号
     */
    @TableField(SERIAL_CODE)
    private String serialCode;
    
    /**
     * 寄售唯一码
     */
    @TableField(RF_ID)
    private String rfId;
    
    /**
     * 到期日
     */
    @TableField(EXPIRY_DATE)
    private Date expiryDate;
    
    /**
     * 是否长期有效 是:Y,否:N
     */
    @TableField(ETERNAL_ITEM)
    private String eternalItem;
    
    /**
     * 分配数量
     */
    @TableField(QUANTITY)
    private BigDecimal quantity;
    
    /**
     * 分配状态，UN_CHECK_OUT：未发货，CHECK_OUT：已发货，CANCELED：已取消
     */
    @TableField(STATUS)
    private String status;
    
    @TableField(CREATED_TIME)
    private Date createdTime;
    
    /**
     * 级别
     */
    @TableField(LEVEL)
    private String level;
    
    /**
     * 消毒灭菌日期
     */
    @TableField(STERILIZATION_TIME)
    private Date sterilizationTime;
    
    /**
     * 型号
     */
    @TableField(MODEL)
    private String model;
    
    /**
     * 生产厂商
     */
    @TableField(MANUFACTURER)
    private String manufacturer;
    
    /**
     * 材质
     */
    @TableField(MATERIAL_QUALITY)
    private String materialQuality;
    
    /**
     * 医用耗材类别
     */
    @TableField(MEDICAL_CATEGORY)
    private String medicalCategory;
    
    /**
     * 功能
     */
    @TableField(ACTION)
    private String action;
    
    /**
     * 用途
     */
    @TableField(PURPOSE)
    private String purpose;
    
    /**
     * 注册证类别
     */
    @TableField(REGISTRATION_CATEGORY)
    private String registrationCategory;
    
    /**
     * 风险级别
     */
    @TableField(RISK_LEVEL)
    private String riskLevel;
    
    @TableField(UPDATED_TIME)
    private Date updatedTime;
    
    @TableField(VERSION)
    private Integer version;



    /**
     * 
     */
    public static final String ID = "id";

    /**
     * 发货单id
     */
    public static final String DELIVERY_ORDER_ID = "delivery_order_id";

    /**
     * 发货明细id
     */
    public static final String DELIVERY_DETAIL_ID = "delivery_detail_id";

    /**
     * 仓库id 为0是私有供应商的分配记录
     */
    public static final String WAREHOUSE_ID = "warehouse_id";

    /**
     * 库位id 为0是私有供应商的分配记录
     */
    public static final String CONTAINER_ID = "container_id";

    /**
     * 库存id 为0是私有供应商的分配记录
     */
    public static final String STOCK_ID = "stock_id";

    /**
     * sku编号
     */
    public static final String SKU_CODE = "sku_code";

    /**
     * 批次号
     */
    public static final String BATCH_CODE = "batch_code";

    /**
     * 序列号
     */
    public static final String SERIAL_CODE = "serial_code";

    /**
     * 寄售唯一码
     */
    public static final String RF_ID = "rf_id";

    /**
     * 到期日
     */
    public static final String EXPIRY_DATE = "expiry_date";

    /**
     * 是否长期有效 是:Y,否:N
     */
    public static final String ETERNAL_ITEM = "eternal_item";

    /**
     * 分配数量
     */
    public static final String QUANTITY = "quantity";

    /**
     * 分配状态，UN_CHECK_OUT：未发货，CHECK_OUT：已发货，CANCELED：已取消
     */
    public static final String STATUS = "status";

    /**
     * 
     */
    public static final String CREATED_TIME = "created_time";

    /**
     * 级别
     */
    public static final String LEVEL = "level";

    /**
     * 消毒灭菌日期
     */
    public static final String STERILIZATION_TIME = "sterilization_time";

    /**
     * 型号
     */
    public static final String MODEL = "model";

    /**
     * 生产厂商
     */
    public static final String MANUFACTURER = "manufacturer";

    /**
     * 材质
     */
    public static final String MATERIAL_QUALITY = "material_quality";

    /**
     * 医用耗材类别
     */
    public static final String MEDICAL_CATEGORY = "medical_category";

    /**
     * 功能
     */
    public static final String ACTION = "action";

    /**
     * 用途
     */
    public static final String PURPOSE = "purpose";

    /**
     * 注册证类别
     */
    public static final String REGISTRATION_CATEGORY = "registration_category";

    /**
     * 风险级别
     */
    public static final String RISK_LEVEL = "risk_level";

    /**
     * 
     */
    public static final String UPDATED_TIME = "updated_time";

    /**
     * 
     */
    public static final String VERSION = "version";


}
