package com.jarvis.dataCenter.service.impl.report;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.jarvis.common.redis.service.RedisService;
import com.jarvis.dataCenter.bean.BeanUtils;
import com.jarvis.dataCenter.constants.DbConstants;
import com.jarvis.dataCenter.entity.prod.BusAgencyaddressEntity;
import com.jarvis.dataCenter.entity.report.ReportAddressInfo;
import com.jarvis.dataCenter.mapper.prod.BusAgencyaddressMapper;
import com.jarvis.dataCenter.mapper.report.ReportAddressInfoMapper;
import com.jarvis.dataCenter.service.prod.BusAgencyaddressService;
import com.jarvis.lib.common.mybatisplus.service.impl.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author jinzhaopo
 * @date 2019-11-01 15:13
 */
@DS(DbConstants.REPORT)
@Service
@Slf4j
public class ReportAddressInfoService extends BaseServiceImpl<ReportAddressInfoMapper, ReportAddressInfo> implements com.jarvis.dataCenter.service.report.ReportAddressInfoService {

    @Autowired
    private BusAgencyaddressMapper busAgencyaddressMapper;

    @Autowired
    private BusAgencyaddressService busAgencyaddressService;

    @Autowired
    private RedisService redisService;

    public static String REDIS_KEY = "sync:report:address:id:";

    @Override
    public boolean sync() {
        Long endId = busAgencyaddressMapper.maxId();
        Integer startId = (Integer) redisService.get(REDIS_KEY);
        if (startId == null) {
            startId = 0;
        }

        if(startId.intValue() > endId.intValue()){
            return false;
        }

        //  同步信息
        for (long i = startId.intValue(); i <= endId.intValue(); i++) {
            try {
                sync(i);
            } catch (Exception e) {
                e.printStackTrace();
            }
            redisService.getRedisTemplateObj().opsForValue().increment(REDIS_KEY, 1);
        }

        return true;
    }

    @Override
    public ReportAddressInfo sync(Long addressId) {
        ReportAddressInfo reportAddressInfo = new ReportAddressInfo();
        BusAgencyaddressEntity busAgencyaddressEntity = busAgencyaddressService.getById(addressId);
        if (busAgencyaddressEntity == null) {
            return null;
        }

        BeanUtils.build(reportAddressInfo,busAgencyaddressEntity);
        save(reportAddressInfo);
        return reportAddressInfo;
    }
}
