package com.jarvis.dataCenter.service.impl.report;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.jarvis.common.redis.service.RedisService;
import com.jarvis.dataCenter.bean.BeanUtils;
import com.jarvis.dataCenter.constants.DbConstants;
import com.jarvis.dataCenter.entity.jws.InvoiceSignEntity;
import com.jarvis.dataCenter.entity.report.ReportInvoiceInfo;
import com.jarvis.dataCenter.mapper.jws.InvoiceSignMapper;
import com.jarvis.dataCenter.mapper.report.ReportInvoiceInfoMapper;
import com.jarvis.dataCenter.service.jws.InvoiceSignService;
import com.jarvis.dataCenter.service.report.ReportInvoiceInfoService;
import com.jarvis.lib.common.mybatisplus.service.impl.BaseServiceImpl;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * @author jinzhaopo
 * @date 2019-11-01 15:14
 */
@DS(DbConstants.REPORT)
@Service
@Slf4j
public class ReportInvoiceInfoServiceImpl extends BaseServiceImpl<ReportInvoiceInfoMapper, ReportInvoiceInfo> implements ReportInvoiceInfoService {

    @Autowired
    private InvoiceSignService invoiceSignService;

    @Autowired
    private InvoiceSignMapper invoiceSignMapper;

    @Autowired
    private RedisService redisService;


    public static String REDIS_KEY = "sync:report:invoice:id:";

    @Override
    public boolean sync() {
        Long endId = invoiceSignMapper.maxId();
        Integer startId = (Integer) redisService.get(REDIS_KEY);
        if (startId == null) {
            startId = 0;
        }

        if (startId.intValue() > endId.intValue()) {
            return false;
        }

        //  同步信息
        for (long i = startId.intValue(); i <= endId.intValue(); i++) {
            try {
                sync(i);
            } catch (Exception e) {
                e.printStackTrace();
            }
            redisService.getRedisTemplateObj().opsForValue().increment(REDIS_KEY, 1);
        }

        return true;

    }

    @Override
    public ReportInvoiceInfo sync(Long invoiceId) {
        ReportInvoiceInfo reportInvoiceInfo = new ReportInvoiceInfo();
        InvoiceSignEntity invoiceSignEntity = invoiceSignService.getById(invoiceId);
        if (invoiceSignEntity == null) {
            return null;
        }

        BeanUtils.build(reportInvoiceInfo, invoiceSignEntity);
        save(reportInvoiceInfo);
        return reportInvoiceInfo;
    }
}
