SELECT distinct
 dod.so_code AS '销售单',
 dor.`code` AS '发货单',
 dod.sku_code AS 'SKU',
 dod.product_id AS '产品ID',
	dod.spec_id AS '规格ID',
 dod.product_name AS '产品名称',
 dor.supplier_short_name AS '供应商',
 CONCAT(dod.spec_name,'|',dod.spec_name_ext) AS '规格|子规格',
 IFNULL(dod.customer_prod_code, dod.supplier_prod_code) AS '供应商代码',
 dod.producer_prod_code AS '厂商编码',
 dod.brand_name AS '品牌',
 dod.sales_unit AS '销售单位',
 dod.expect_quantity AS '订货数量',
 dod.expect_quantity - dod.outage_quantity AS '实际发货数量',
 dod.customer_memo AS '备注',
 dor.warehouse_id AS '仓库ID',
 ware.`name` AS '仓库',
 cont.`code` AS '库位',
 sall.quantity AS '出库数量',
 sall.batch_code AS '批次号',
 CASE
  WHEN sall.eternal_item='y' THEN '长期有效'
  ELSE SUBSTR(sall.expiry_date,1,10)
 END AS '到期日',
 CASE
  WHEN dl.id IS NULL THEN '是'
	WHEN dl_i.id IS NOT NULL THEN '是'
  ELSE '否'
 END AS '是否首营'
FROM
 delivery_order dor ##发货单
LEFT JOIN delivery_order_detail dod ON dod.do_code=dor.`code` ##发货单详情
LEFT JOIN stock_allocation sall ON sall.delivery_detail_id=dod.id AND sall.delivery_order_id=dod.delivery_order_id AND sall.sku_code=dod.sku_code AND sall.`status`<>'CANCELED' ##库存分配
LEFT JOIN warehouse ware ON ware.id=sall.warehouse_id ##仓库
LEFT JOIN stock_container cont ON cont.id=sall.container_id ##库位
#LEFT JOIN warehouse_stock stock ON stock.id=sall.stock_id ##库存
LEFT JOIN delivery_licence dl ON dl.agency_id=dor.delivery_agency_id AND dl.product_id=dod.product_id
LEFT JOIN delivery_licence dl_i ON dl_i.do_code = dod.do_code AND dl_i.product_id = dod.product_id
WHERE
 FIND_IN_SET(dor.`code`,'${invoiceCode}')
AND dod.expect_quantity > dod.outage_quantity
ORDER BY
dod.brand_id,dod.product_id,dod.spec_id,dod.sku_code
;